POST
/
github
/
device
/
start
Start GitHub device authorization
curl --request POST \
  --url https://your_salambo_base_url/api/v1/github/device/start \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "status": "pending",
  "device_code": "<string>",
  "user_code": "<string>",
  "verification_uri": "<string>",
  "expires_in": 123,
  "interval": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Pending device authorization

object
string
required
Allowed value: "github_device_authorization"
status
enum<string>
required
Available options:
pending
device_code
string
user_code
string
verification_uri
string<uri>
expires_in
integer
interval
integer | null
error
enum<string>
Available options:
authorization_pending,
slow_down